<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'survey',

    /*
     * Package.
     */
    'package'   => 'transferform',

    /*
     * Modules.
     */
    'modules'   => ['transferform'],

    
    'transferform'       => [
        'model' => [
            'model'                 => \Survey\Transferform\Models\Transferform::class,
            'table'                 => 'transferforms',
            'presenter'             => \Survey\Transferform\Repositories\Presenter\TransferformPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'employee_id',  'company_type',  'from_division_code',  'from_gang_number',  'from_designation',  'to_division_code',  'to_gang_number',  'to_designation',  'to_category',  'purpose',  'effective_month',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'transferform/transferform',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Survey',
            'package'   => 'Transferform',
            'module'    => 'Transferform',
        ],

    ],
];
