<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTransferformsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: transferforms
         */
        Schema::create('transferforms', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->enum('company_type', ['TPL','ENB','TNL','OTHERS'])->nullable();
            $table->string('from_division_code', 15)->nullable();
            $table->string('from_gang_number', 15)->nullable();
            $table->string('from_designation', 30)->nullable();
            $table->string('to_division_code', 15)->nullable();
            $table->string('to_gang_number', 15)->nullable();
            $table->string('to_designation', 30)->nullable();
            $table->enum('to_category', ['HARVESTER','GENERAL WORKER','FIELD WORKER','STAFF EMPLOYEE'])->nullable();
            $table->text('purpose')->nullable();
            $table->date('effective_month')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 15)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('transferforms');
    }
}
