Lavalite package that provides transferform management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `survey/transferform`.

    "survey/transferform": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Survey\Transferform\Providers\TransferformServiceProvider::class,

And also add it to alias

    'Transferform'  => Survey\Transferform\Facades\Transferform::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Survey\\TransferformTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Survey\Transferform\Providers\TransferformServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Survey\Transferform\Providers\TransferformServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Survey\Transferform\Providers\TransferformServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/transferform/{modulename}

**User**

    http://path-to-route-folder/user/transferform/{modulename}

**Public**

    http://path-to-route-folder/transferforms


### API endpoints

**List**

    http://path-to-route-folder/api/user/transferform/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/transferform/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/transferform/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/transferform/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/transferform/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/transferform/{modulename}/{slug}
    METHOD: GET