<?php

namespace Survey\Transferform\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TransferformTransformer extends TransformerAbstract
{
    public function transform(\Survey\Transferform\Models\Transferform $transferform)
    {
        return [
            'id'                => $transferform->getRouteKey(),
            'key'               => [
                'public'    => $transferform->getPublicKey(),
                'route'     => $transferform->getRouteKey(),
            ], 
            'company_id'        => $transferform->company_id,
            'employee_id'       => $transferform->employee_id,
            'company_type'      => $transferform->company_type,
            'from_division_code' => $transferform->from_division_code,
            'from_gang_number'  => $transferform->from_gang_number,
            'from_designation'  => $transferform->from_designation,
            'to_division_code'  => $transferform->to_division_code,
            'to_gang_number'    => $transferform->to_gang_number,
            'to_designation'    => $transferform->to_designation,
            'to_category'       => $transferform->to_category,
            'purpose'           => $transferform->purpose,
            'effective_month'   => $transferform->effective_month,
            'user_id'           => $transferform->user_id,
            'user_type'         => $transferform->user_type,
            'deleted_at'        => $transferform->deleted_at,
            'url'               => [
                'public'    => trans_url('transferform/'.$transferform->getPublicKey()),
                'user'      => guard_url('transferform/transferform/'.$transferform->getRouteKey()),
            ], 
            'status'            => trans('app.'.$transferform->status),
            'created_at'        => format_date($transferform->created_at),
            'updated_at'        => format_date($transferform->updated_at),
        ];
    }
}