<?php

namespace Survey\Transferform;

use User;

class Transferform
{
    /**
     * $transferform object.
     */
    protected $transferform;

    /**
     * Constructor.
     */
    public function __construct(\Survey\Transferform\Interfaces\TransferformRepositoryInterface $transferform)
    {
        $this->transferform = $transferform;
    }

    /**
     * Returns count of transferform.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.transferform.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->transferform->pushCriteria(new \Litepie\Survey\Repositories\Criteria\TransferformUserCriteria());
        }

        $transferform = $this->transferform->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('transferform::' . $view, compact('transferform'))->render();
    }
}
